- fix bug #9282 (bad configure check for libcurl version)
authorMichael Wallner <mike@php.net>
Thu, 9 Nov 2006 13:42:28 +0000 (13:42 +0000)
committerMichael Wallner <mike@php.net>
Thu, 9 Nov 2006 13:42:28 +0000 (13:42 +0000)
config9.m4
package2.xml

index 8ad36a3..8bedac7 100644 (file)
@@ -170,7 +170,7 @@ dnl ----
                AC_MSG_CHECKING([for curl version >= 7.12.3])
                CURL_VERSION=`$CURL_CONFIG --version | $SED -e 's/[[^0-9\.]]//g'`
                AC_MSG_RESULT([$CURL_VERSION])
-               if test `echo $CURL_VERSION | $AWK '{print $1*10000 + $2*100 + $3}'` -lt 71203; then
+               if test `echo $CURL_VERSION | $SED -e 's/[[^0-9]]/ /g' | $AWK '{print $1*10000 + $2*100 + $3}'` -lt 71203; then
                        AC_MSG_ERROR([libcurl version greater or equal to 7.12.3 required])
                fi
                
index 5866912..684b39d 100644 (file)
@@ -45,6 +45,7 @@ support. Parallel requests are available for PHP 5 and greater.
 * Fixed aborted PUT request when empty put data was set with HttpRequest::setPutData()
 * Fixed crash when using non-associative arrays as request headers
 * Fixed crash when serializing incomplete HttpMessage objects
+* Fixed bug #9282: libcurl version error in configure (keith at iveys dot org)
 ]]></notes>
  <contents>
   <dir name="/">